Name:          libsepol
Version:       3.7
Release:       1mamba
Summary:       Security Enhanced Linux policy manipulation library
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://github.com/SELinuxProject/selinux
Source:        https://github.com/SELinuxProject/selinux/archive/libselinux-%{version}.tar.gz
Patch0:        libsepol-2.6-flex-2.6.2.patch
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
## AUTOBUILDREQ-END
License:       LGPL

%description
Libsepol provides an API for the manipulation of SELinux binary policies.
It is used by checkpolicy (the policy compiler) and similar tools, as well as by programs like load_policy that need to perform specific transformations on binary policies such as customizing policy boolean settings.

%package devel
Group:         Development/Libraries
Summary:       Static libraries and headers used to build policy manipulation tools
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description devel
Libsepol provides an API for the manipulation of SELinux binary policies.
It is used by checkpolicy (the policy compiler) and similar tools, as well as by programs like load_policy that need to perform specific transformations on binary policies such as customizing policy boolean settings.

This package contains static libraries and header files need for development.

%package tools
Group:         Development/Libraries
Summary:       Security Enhanced Linux policy utility programs
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description tools
Libsepol provides an API for the manipulation of SELinux binary policies.
It is used by checkpolicy (the policy compiler) and similar tools, as well as by programs like load_policy that need to perform specific transformations on binary policies such as customizing policy boolean settings.
This package contains the Security Enhanced Linux policy utility programs.

%debug_package

%prep
%setup -q -n selinux-libselinux-%{version}
%patch 0 -p1

%build
cd libsepol
%make CC=%{_host}-gcc \
   LIBDIR=%{_libdir} \
   SHLIBDIR=%{_libdir}

%install
[ "%{buildroot}" != / ] && rm -rf %{buildroot}
cd libsepol
%makeinstall \
   LIBDIR=%{_libdir} \
   SHLIBDIR=%{_libdir}

rm -f %{buildroot}%{_mandir}/man8/genpolbools.*
rm -f %{buildroot}%{_mandir}/man8/genpolusers.*

%clean
[ "%{buildroot}" != / ] && rm -rf %{buildroot}

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%{_libdir}/libsepol.so.*
%doc libsepol/LICENSE

%files devel
%defattr(-,root,root)
%dir %{_includedir}/sepol
%{_includedir}/sepol/*.h
%dir %{_includedir}/sepol/policydb
%{_includedir}/sepol/policydb/*.h
%dir %{_includedir}/sepol/cil
%{_includedir}/sepol/cil/cil.h
%{_libdir}/libsepol.a
%{_libdir}/libsepol.so
%{_libdir}/pkgconfig/libsepol.pc
%{_mandir}/man3/*

%files tools
%defattr(-,root,root)
%{_bindir}/chkcon
%{_bindir}/sepol_*
%{_mandir}/man8/chkcon.8*

%changelog
* Sat Jun 29 2024 Silvan Calarco <silvan.calarco@mambasoft.it> 3.7-1mamba
- update to 3.7

* Sun Dec 17 2023 Automatic Build System <autodist@mambasoft.it> 3.6-1mamba
- automatic version update by autodist

* Wed Mar 08 2023 Automatic Build System <autodist@mambasoft.it> 3.5-1mamba
- automatic version update by autodist

* Fri Jun 03 2022 Automatic Build System <autodist@mambasoft.it> 3.4-1mamba
- automatic version update by autodist

* Fri Nov 12 2021 Silvan Calarco <silvan.calarco@mambasoft.it> 3.3-1mamba
- update to 3.3

* Sun Mar 07 2021 Automatic Build System <autodist@mambasoft.it> 3.2-1mamba
- automatic version update by autodist

* Fri Nov 27 2020 Silvan Calarco <silvan.calarco@mambasoft.it> 3.1-1mamba
- update to 3.1

* Mon May 04 2020 Silvan Calarco <silvan.calarco@mambasoft.it> 3.0-1mamba
- update to 3.0

* Sat Aug 17 2019 Silvan Calarco <silvan.calarco@mambasoft.it> 2.9-1mamba
- update to 2.9

* Tue Sep 11 2018 Silvan Calarco <silvan.calarco@mambasoft.it> 2.8-1mamba
- update to 2.8

* Wed Nov 16 2016 Silvan Calarco <silvan.calarco@mambasoft.it> 2.6-1mamba
- update to 2.6

* Sat May 19 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 2.1.4-1mamba
- update to 2.1.4

* Tue Jun 22 2010 Automatic Build System <autodist@mambasoft.it> 2.0.41-1mamba
- automatic update by autodist

* Tue Mar 23 2010 Silvan Calarco <silvan.calarco@mambasoft.it> 2.0.37-1mamba
- update to 2.0.37

* Mon Jan 05 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 2.0.30-1mamba
- automatic update by autodist

* Wed Apr 04 2007 Davide Madrisan <davide.madrisan@gmail.com> 2.0.1-1mamba
- update to version 2.0.1 by autospec

* Wed Apr 04 2007 Davide Madrisan <davide.madrisan@gmail.com> 1.16.1-1mamba
- update to version 1.16.1 by autospec

* Fri Jan 06 2006 Silvan Calarco <silvan.calarco@mambasoft.it> 1.10-1qilnx
- update to version 1.10 by autospec

* Tue Nov 08 2005 Davide Madrisan <davide.madrisan@qilinux.it> 1.8-1qilnx
- package created by autospec
